org.jboss.resteasy.skeleton.key.representations

## Class AccessTokenResponse

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.representations.AccessTokenResponse

-     public class AccessTokenResponse
      extends Object

  OAuth 2.0 Access Token Response json
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `expiresIn`
    `protected String` | `refreshToken`
    `protected String` | `token`
    `protected String` | `tokenType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessTokenResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getExpiresIn()`
    `String` | `getRefreshToken()`
    `String` | `getToken()`
    `String` | `getTokenType()`
    `void` | `setExpiresIn(long expiresIn)`
    `void` | `setRefreshToken(String refreshToken)`
    `void` | `setToken(String token)`
    `void` | `setTokenType(String tokenType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token

          protected String token

    - #### expiresIn

          protected long expiresIn

    - #### refreshToken

          protected String refreshToken

    - #### tokenType

          protected String tokenType

  - ### Constructor Detail

    - #### AccessTokenResponse

          public AccessTokenResponse()

  - ### Method Detail

    - #### getToken

          public String getToken()

    - #### setToken

          public void setToken(String token)

    - #### getExpiresIn

          public long getExpiresIn()

    - #### setExpiresIn

          public void setExpiresIn(long expiresIn)

    - #### getRefreshToken

          public String getRefreshToken()

    - #### setRefreshToken

          public void setRefreshToken(String refreshToken)

    - #### getTokenType

          public String getTokenType()

    - #### setTokenType

          public void setTokenType(String tokenType)

Copyright © 2014. All Rights Reserved.